Package picard.sam.SamErrorMetric

## Enum ReadBaseStratification.ProperPaired

- java.lang.Object
- - java.lang.Enum<ReadBaseStratification.ProperPaired>
  - - picard.sam.SamErrorMetric.ReadBaseStratification.ProperPaired

- All Implemented Interfaces:
    `Serializable`, `Comparable<ReadBaseStratification.ProperPaired>`
  Enclosing class:
    ReadBaseStratification

      public static enum ReadBaseStratification.ProperPaired
      extends Enum<ReadBaseStratification.ProperPaired>

  An enum to hold information about the "properness" of a read pair

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CHIMERIC` |
    `DISCORDANT` |
    `IMPROPER` |
    `PROPER` |
    `UNKNOWN` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ReadBaseStratification.ProperPaired` | `of​(htsjdk.samtools.SAMRecord sam)` |
    `static ReadBaseStratification.ProperPaired` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ReadBaseStratification.ProperPaired[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PROPER

          public static final ReadBaseStratification.ProperPaired PROPER

    - #### IMPROPER

          public static final ReadBaseStratification.ProperPaired IMPROPER

    - #### CHIMERIC

          public static final ReadBaseStratification.ProperPaired CHIMERIC

    - #### DISCORDANT

          public static final ReadBaseStratification.ProperPaired DISCORDANT

    - #### UNKNOWN

          public static final ReadBaseStratification.ProperPaired UNKNOWN

  - ### Method Detail

    - #### values

          public static ReadBaseStratification.ProperPaired[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReadBaseStratification.ProperPaired c : ReadBaseStratification.ProperPaired.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReadBaseStratification.ProperPaired valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### of

          public static ReadBaseStratification.ProperPaired of​(htsjdk.samtools.SAMRecord sam)